<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="message">
		<div class="KopeteMessage">

			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>
			</xsl:attribute>

			<xsl:attribute name="style">
				<xsl:if test="body/@color">
					<xsl:text>color:</xsl:text>
					<xsl:value-of select="body/@color"/>
					<xsl:text>;</xsl:text>
				</xsl:if>
				<xsl:if test="body/@bgcolor">
					<xsl:text>background-color:</xsl:text>
					<xsl:value-of select="body/@bgcolor"/>
				</xsl:if>
			</xsl:attribute>

			<!-- action message -->
			<xsl:if test="@direction='3'">
				<xsl:attribute name="style">
					<xsl:text>color:purple</xsl:text>
				</xsl:attribute>
			</xsl:if>


			<!-- choose based on message direction -->
			<xsl:choose>

				<!-- internal message -->
				<xsl:when test="@direction='2'">
					<font color="red">
						[<xsl:value-of select="@time"/>]
						***
						<xsl:value-of disable-output-escaping="yes" select="body"/>
					</font>
				</xsl:when>

				<!-- action message -->
				<xsl:when test="@direction='3'">
					[<xsl:value-of select="@time"/>]
					<xsl:text> </xsl:text>
					<span class="KopeteDisplayName">
						<xsl:value-of disable-output-escaping="yes" select="from/contact/@metaContactDisplayName"/>
					</span>
					<xsl:text disable-output-escaping="yes">&#160;</xsl:text>
					<xsl:value-of disable-output-escaping="yes" select="body"/>
				</xsl:when>

				<!-- standard message -->
				<xsl:otherwise>

					<font>
						<xsl:attribute name="color">
							<xsl:choose>
								<!-- outgoing -->
								<xsl:when test="@direction='1'">
									<xsl:text>blue</xsl:text>
								</xsl:when>
								<!-- incoming -->
								<xsl:otherwise>
									<xsl:text>red</xsl:text>
									<!--<xsl:value-of select="from/contact/@color"/>-->
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						[<xsl:value-of select="@time"/>]
						<xsl:text> </xsl:text>
						<span class="KopeteDisplayName">
							<xsl:value-of disable-output-escaping="yes" select="from/contact/@metaContactDisplayName"/>
							<xsl:text>: </xsl:text>
						</span>
					</font>
					<xsl:value-of disable-output-escaping="yes" select="body"/>
				</xsl:otherwise>

			</xsl:choose>
		</div>
	</xsl:template>
</xsl:stylesheet>
